/*
    FEARLUS model0-6-4: ImitativeOptimumStrategy.h
    Copyright (C) 1999-2002  Macaulay Institute

    This file is part of FEARLUS model0-6-4, an agent-based model of land use
    change.

    FEARLUS model0-6-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS model0-6-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/*
Interface for the ImitativeOptimumStrategy object. This is a historical
imitative strategy for determining the land use of a land parcel. It makes use
of the particular way in which the yield is calculated to compute, for each
neighbouring parcel, the expected yield for the decision parcel had it used
the same land use as the neighbouring parcel. (Assuming 0 don't care bits, 0
neighbourhood noise, and the same climate and economy in the following year.)
This value is computed using the bits that differ between the neighbouring
parcel and the decision parcel, the yield of the neighbouring parcel, and the
number of bits in the land use bit string. See the document 
'Imitative Optimisers.doc' for more information, and a derivation of the
formula.

*/

#import <objectbase/SwarmObject.h>
#import "Strategy.h"

@interface ImitativeOptimumStrategy: SwarmObject
<ImitativeStrategy, HistoricalStrategy> {
  LandManager *lm;
  Parameter *parameter;
}

@end
